DtEditorDeselect(library call)

NAME
DtEditorDeselect — deselect the current selection in a DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorDeselect(
Widget widget);

DESCRIPTION

The DtEditorDeselect function deselects any currently selected text in a DtEditor widget. The entire contents of a DtEditor widget may be selected with DtEditorSelectAll(3).

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorDeselect function returns True; otherwise, if the primary selection is NULL, or if the widget does not own the primary selection, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorClearSelection(3), DtEditorCopyToClipboard(3), DtEditorCutToClipboard(3), DtEditorDeleteSelection(3), DtEditorSelectAll(3).